Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.FocusHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicTreeUI.FocusHandler

All Implemented Interfaces:
  FocusListener, EventListener

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.FocusHandler

extends Object
implements FocusListener

Repaints the lead selection row when focus is lost/gained.

Constructor Summary
`BasicTreeUI.FocusHandler()`

Method Summary
`void` | `focusGained(FocusEvent e)` Invoked when focus is activated on the tree we're in, redraws the lead row.
`void` | `focusLost(FocusEvent e)` Invoked when focus is activated on the tree we're in, redraws the lead row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.FocusHandler

    public BasicTreeUI.FocusHandler()

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Invoked when focus is activated on the tree we're in, redraws the lead row.

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Invoked when focus is activated on the tree we're in, redraws the lead row.

  Specified by:
    `focusLost` in interface `FocusListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.